#ifndef SENSORTHINGIE_H
#define SENSORTHINGIE_H

#include <QObject>
#include <QRotationSensor>

QTM_USE_NAMESPACE

class SensorThingie : public QObject
{
    Q_OBJECT
public:
    explicit SensorThingie(QObject *parent = 0);

signals:
    void xChanged(qreal newX);
    void yChanged(qreal newY);
    void zChanged(qreal newZ);

private slots:
    void readingChanged();

private:
    QRotationSensor *sensor;
};

#endif // SENSORTHINGIE_H
